Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class GeneratedMetaMethod.Proxy

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.reflection.GeneratedMetaMethod
                  org.codehaus.groovy.reflection.GeneratedMetaMethod.Proxy

All Implemented Interfaces:
  Cloneable

Enclosing class:
  GeneratedMetaMethod

    public static class GeneratedMetaMethod.Proxy
    extends GeneratedMetaMethod

Nested Class Summary
Modifier and Type | Class and Description
--- | ---

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.GeneratedMetaMethod
`GeneratedMetaMethod.DgmMethodRecord, GeneratedMetaMethod.Proxy`

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes
`isVargsMethod, nativeParamTypes, parameterTypes`

Constructor Summary
Constructor and Description
`GeneratedMetaMethod.Proxy(String className, String name, CachedClass declaringClass, Class returnType, Class[] parameters)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`Object` | `doMethodInvoke(Object object, Object[] argumentArray)`
`Object` | `invoke(Object object, Object[] arguments)`
`boolean` | `isValidMethod(Class[] arguments)`
`MetaMethod` | `proxy()`

Methods inherited from class org.codehaus.groovy.reflection.GeneratedMetaMethod
`getDeclaringClass, getModifiers, getName, getReturnType`

Methods inherited from class groovy.lang.MetaMethod
`checkParameters, clone, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes
`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isVargsMethod, setParametersTypes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneratedMetaMethod.Proxy

    public GeneratedMetaMethod.Proxy(String className,
                                     String name,
                                     CachedClass declaringClass,
                                     Class returnType,
                                     Class[] parameters)

Method Detail

### isValidMethod

    public boolean isValidMethod(Class[] arguments)

  Overrides:
    `isValidMethod` in class `ParameterTypes`

### doMethodInvoke

    public Object doMethodInvoke(Object object,
                                 Object[] argumentArray)

  Overrides:
    `doMethodInvoke` in class `MetaMethod`

### invoke

    public Object invoke(Object object,
                         Object[] arguments)

  Specified by:
    `invoke` in class `MetaMethod`

### proxy

    public final MetaMethod proxy()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD